﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.com/gitea/1.21.8/gitea-1.21.8-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.com/gitea/1.21.8/gitea-1.21.8-windows-4.0-amd64.exe'

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'fc8866f048f7ae55e27195e068d72af7cc569425dcc1a8617f0b01798b030629'
  checksumType  = 'sha256'
  checksum64    = '008152080eb6a5c4a205b920c03e535cc7285d718e2458284095320e5a35b844'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
